//==============================================//
// Created by Dupre					//
//								//
// Thanks to:						//
// Ignacio							//
//==============================================//

using System; 
using Server; 
using Server.Gumps; 
using Server.Network;
using Server.Items;
using Server.Mobiles;

namespace Server.Gumps
{   
	public class TentDGump : Gump
	{
		public TentDGump( TentDestroyer tentdestroyer, Mobile owner) : base( 150,75 ) 
		{
			m_TentDestroyer = tentdestroyer;
			owner.CloseGump( typeof( TentDGump ) );
			this.Closable=false;
			this.Disposable=false;
			this.Dragable=true;
			this.Resizable=false;
			this.AddPage(0);
			this.AddBackground(0, 0, 445, 250, 9200);
			this.AddBackground(10, 10, 425, 160, 3500);
			this.AddLabel(95, 30, 195, @"* Moechtest du dein Zelt abbauen? *");
			this.AddLabel(60, 70, 1359, @"Ich hoffe Ihr befolgt die Warnung und entfernt alle");
			this.AddLabel(60, 90, 1359, @"Gegenstaende aus dem sicheren Rucksack, bevor ihr");
			this.AddLabel(60, 110, 1359, @"das Zelt abbaut.");
			this.AddLabel(107, 205, 172, @"Abbauen");
			this.AddLabel(270, 205, 32, @"Nicht abbauen");
			AddButton( 115, 180, 4023, 4024, 1, GumpButtonType.Reply, 0 );
			AddButton( 295, 180, 4017, 4018, 0, GumpButtonType.Reply, 0 );
		}

		private TentDestroyer m_TentDestroyer; 

		public override void OnResponse( NetState state, RelayInfo info ) //Function for GumpButtonType.Reply Buttons 
		{ 

			Mobile from = state.Mobile; 

			switch ( info.ButtonID ) 
			{ 
			case 0: //Case uses the ActionIDs defenied above. Case 0 defenies the actions for the button with the action id 0 
				{ 
					//Cancel
					from.SendMessage( "Du entscheidest dein Zelt nicht abzubauen." ); 
					break; 
				} 

			case 1: //Case uses the ActionIDs defenied above. Case 0 defenies the actions for the button with the action id 0 
				{ 
					
					//RePack 
					m_TentDestroyer.Delete();
					from.AddToBackpack( new TentDeed() ); 
					from.SendMessage( "Du baust das Zelt ab und verstaust es in deinem Rucksack." ); 
					break;
				} 
			}
		}}

	public class TentGump : Gump
	{
		public TentGump( Mobile owner ) : base( 150,75 )
		{
			this.Closable=false;
			this.Disposable=false;
			this.Dragable=true;
			this.Resizable=false;
			this.AddPage(0);
			this.AddBackground(0, 0, 445, 395, 9200);
			this.AddBackground(10, 10, 425, 375, 3500);
			this.AddLabel(40, 140, 1359, @"Dieser Rucksack kann nur von DIR benutzt werden.");
			this.AddLabel(140, 200, 195, @"* WARNUNG - VORSICHT *");
			this.AddLabel(40, 240, 1359, @"Wenn du das Zelt abbaust, werden ALLE Gegenstaende in");
			this.AddLabel(40, 260, 1359, @"deinem Rucksack geloescht und sind unwiederrufbar, nicht mal");
			this.AddLabel(40, 280, 1359, @"durch den Administrator, du wurdest gewarnt!");
			this.AddButton(310, 330, 9723, 9724, (int)Buttons.Button1, GumpButtonType.Reply, 0);
			this.AddLabel(135, 50, 195, @"* Du baust dein Zelt auf *");
			this.AddLabel(40, 80, 1359, @"In deinem Zelt findest du eine Bettrolle. Diese wird");
			this.AddLabel(40, 100, 1359, @"benutzt, wenn du dein Zelt abbauen willst.");
			this.AddLabel(40, 120, 1359, @"Ebenfalls ist im Zelt, ein sicherer Rucksack,");
			this.AddLabel(140, 335, 32, @"Ich habe die Warnung gelesen");
		}

		public enum Buttons
		{
			Button1,
		}
	}
}
